Data Generation¶
Data Generation - Find All¶
HTTP Request
GET /api/data-generation
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "processId": "string",
11 "targetId": "string",
12 "operationType": "GENERATION",
13 "status": "PENDING",
14 "start": "2019-08-24T14:15:22Z",
15 "end": "2019-08-24T14:15:22Z",
16 "totalDurationMs": 0,
17 "totalRecordsProcessed": 0,
18 "errorMessage": "string",
19 "errorStackTrace": "string",
20 "notes": "string",
21 "steps": [
22 {
23 "createdBy": "string",
24 "lastModifiedBy": "string",
25 "createdDate": "2019-08-24T14:15:22Z",
26 "lastModifiedDate": "2019-08-24T14:15:22Z",
27 "archived": true,
28 "externalId": "string",
29 "id": 0,
30 "stepType": "COUNTRY_GENERATOR",
31 "executionOrder": 0,
32 "status": "PENDING",
33 "start": "2019-08-24T14:15:22Z",
34 "end": "2019-08-24T14:15:22Z",
35 "durationMs": 0,
36 "recordsProcessed": 0,
37 "chunkSize": 0
38 }
39 ]
40 }
41]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
none |
|
» createdBy |
string |
false |
none |
none |
» lastModifiedBy |
string |
false |
none |
none |
» createdDate |
string(date-time) |
false |
none |
none |
» lastModifiedDate |
string(date-time) |
false |
none |
none |
» archived |
boolean |
false |
none |
none |
» externalId |
string |
false |
none |
none |
» id |
integer(int64) |
false |
none |
none |
» processId |
string |
false |
none |
none |
» targetId |
string |
false |
none |
none |
» operationType |
string |
false |
none |
none |
» status |
string |
false |
none |
none |
» start |
string(date-time) |
false |
none |
none |
» end |
string(date-time) |
false |
none |
none |
» totalDurationMs |
integer(int64) |
false |
none |
none |
» totalRecordsProcessed |
integer(int32) |
false |
none |
none |
» errorMessage |
string |
false |
none |
none |
» errorStackTrace |
string |
false |
none |
none |
» notes |
string |
false |
none |
none |
» steps |
false |
none |
none |
|
»» createdBy |
string |
false |
none |
none |
»» lastModifiedBy |
string |
false |
none |
none |
»» createdDate |
string(date-time) |
false |
none |
none |
»» lastModifiedDate |
string(date-time) |
false |
none |
none |
»» archived |
boolean |
false |
none |
none |
»» externalId |
string |
false |
none |
none |
»» id |
integer(int64) |
false |
none |
none |
»» stepType |
string |
false |
none |
none |
»» executionOrder |
integer(int32) |
false |
none |
none |
»» status |
string |
false |
none |
none |
»» start |
string(date-time) |
false |
none |
none |
»» end |
string(date-time) |
false |
none |
none |
»» durationMs |
integer(int64) |
false |
none |
none |
»» recordsProcessed |
integer(int32) |
false |
none |
none |
»» chunkSize |
integer(int32) |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
operationType |
DESTRUCTION, GENERATION |
status |
CANCELLED, COMPLETED, DESTROYED, FAILED, PENDING, RUNNING |
stepType |
ADDRESS_DESTROYER, ADDRESS_GENERATOR, CITY_DESTROYER, CITY_GENERATOR, COUNTRY_DESTROYER, COUNTRY_GENERATOR, LEASE_DESTROYER, LEASE_GENERATOR, LEASE_NOTE_DESTROYER, LEASE_NOTE_GENERATOR, LOCATION_DESTROYER, LOCATION_GENERATOR, LOCATION_NOTE_DESTROYER, LOCATION_NOTE_GENERATOR, PREMISE_DESTROYER, PREMISE_GENERATOR, PREMISE_NOTE_DESTROYER, PREMISE_NOTE_GENERATOR, PROVINCE_DESTROYER, PROVINCE_GENERATOR, TERM_DEFINITION_DESTROYER, TERM_DEFINITION_GENERATOR |
Data Generation - Generate¶
HTTP Request
POST /api/data-generation
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1{
2 "locations": 0,
3 "premises": 0,
4 "leases": 0,
5 "termDefinitions": 0
6}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
202 |
Accepted |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "processId": "string",
10 "targetId": "string",
11 "operationType": "GENERATION",
12 "status": "PENDING",
13 "start": "2019-08-24T14:15:22Z",
14 "end": "2019-08-24T14:15:22Z",
15 "totalDurationMs": 0,
16 "totalRecordsProcessed": 0,
17 "errorMessage": "string",
18 "errorStackTrace": "string",
19 "notes": "string",
20 "steps": [
21 {
22 "createdBy": "string",
23 "lastModifiedBy": "string",
24 "createdDate": "2019-08-24T14:15:22Z",
25 "lastModifiedDate": "2019-08-24T14:15:22Z",
26 "archived": true,
27 "externalId": "string",
28 "id": 0,
29 "stepType": "COUNTRY_GENERATOR",
30 "executionOrder": 0,
31 "status": "PENDING",
32 "start": "2019-08-24T14:15:22Z",
33 "end": "2019-08-24T14:15:22Z",
34 "durationMs": 0,
35 "recordsProcessed": 0,
36 "chunkSize": 0
37 }
38 ]
39}
Data Generation - Find By ID¶
HTTP Request
GET /api/data-generation/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "processId": "string",
10 "targetId": "string",
11 "operationType": "GENERATION",
12 "status": "PENDING",
13 "start": "2019-08-24T14:15:22Z",
14 "end": "2019-08-24T14:15:22Z",
15 "totalDurationMs": 0,
16 "totalRecordsProcessed": 0,
17 "errorMessage": "string",
18 "errorStackTrace": "string",
19 "notes": "string",
20 "steps": [
21 {
22 "createdBy": "string",
23 "lastModifiedBy": "string",
24 "createdDate": "2019-08-24T14:15:22Z",
25 "lastModifiedDate": "2019-08-24T14:15:22Z",
26 "archived": true,
27 "externalId": "string",
28 "id": 0,
29 "stepType": "COUNTRY_GENERATOR",
30 "executionOrder": 0,
31 "status": "PENDING",
32 "start": "2019-08-24T14:15:22Z",
33 "end": "2019-08-24T14:15:22Z",
34 "durationMs": 0,
35 "recordsProcessed": 0,
36 "chunkSize": 0
37 }
38 ]
39}
Data Generation - Delete By ID¶
HTTP Request
DELETE /api/data-generation/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
202 |
Accepted |
None |
Data Generation - Find By Process ID¶
HTTP Request
GET /api/data-generation/process/{processId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
processId |
path |
string |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "processId": "string",
10 "targetId": "string",
11 "operationType": "GENERATION",
12 "status": "PENDING",
13 "start": "2019-08-24T14:15:22Z",
14 "end": "2019-08-24T14:15:22Z",
15 "totalDurationMs": 0,
16 "totalRecordsProcessed": 0,
17 "errorMessage": "string",
18 "errorStackTrace": "string",
19 "notes": "string",
20 "steps": [
21 {
22 "createdBy": "string",
23 "lastModifiedBy": "string",
24 "createdDate": "2019-08-24T14:15:22Z",
25 "lastModifiedDate": "2019-08-24T14:15:22Z",
26 "archived": true,
27 "externalId": "string",
28 "id": 0,
29 "stepType": "COUNTRY_GENERATOR",
30 "executionOrder": 0,
31 "status": "PENDING",
32 "start": "2019-08-24T14:15:22Z",
33 "end": "2019-08-24T14:15:22Z",
34 "durationMs": 0,
35 "recordsProcessed": 0,
36 "chunkSize": 0
37 }
38 ]
39}
Data Generation - Destroy By Process ID¶
HTTP Request
DELETE /api/data-generation/process/{processId}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
processId |
path |
string |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
202 |
Accepted |
None |
Data Generation - Cleanup¶
HTTP Request
DELETE /api/data-generation/cleanup
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
202 |
Accepted |
None |
Data Generation - Destroy All¶
HTTP Request
DELETE /api/data-generation/all
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
202 |
Accepted |
None |